package dialog

import (
	"github.com/wailsapp/wails/v2/pkg/runtime"
	"skapp/pkg/app"
)

func New(app *app.App) *Support {
	return &Support{app}
}

type Support struct {
	app *app.App
}

func (s *Support) OpenFileDialog(dialogOptions runtime.OpenDialogOptions) string {
	path, _ := runtime.OpenFileDialog(s.app.Ctx(), dialogOptions)
	return path
}
